
import data
import pygame
import game

window_size = (800,600)
fullscreen = False

def main():
	if (6,0) != pygame.init():
		raise Exception("Could not initialize pygame")
	
	flags = pygame.HWSURFACE | pygame.DOUBLEBUF | pygame.OPENGL
	if fullscreen:
		flags |= pygame.FULLSCREEN
	window = pygame.display.set_mode(window_size,flags,32)
	
	g = game.Game()
	
	while True:
		events = pygame.event.get()
		if events != []:
			for event in events:
				g.handle_event(event)
		else:
			if True == g.do_frame():
				break
			g.draw()
			pygame.display.flip()
	
