
class Screen (object):
	def __init__(self):
		#replace next_level to change a level. this object will be disposed.
		self.next_level = self
	
	def draw(self):
		#put drawing code here
		pass
	
	def do_frame(self):
		#put moving things code here
		pass
	
	def handle_event(self, event):
		pass
	
	def dispose(self):
		#override for extra disposing if needed
		del self.next_level